Bug 19468 - [netinstall] Error in maggy theme file for GRUB2 netinstall (pathes of img + font)
Summary: [netinstall] Error in maggy theme file for GRUB2 netinstall (pathes of img + ...
Status: REOPENED
Alias: None
Product: Mageia
Classification: Unclassified
Component: Release (media or process) (show other bugs)
Version: Cauldron
Hardware: x86_64 Linux
: release_blocker normal
Target Milestone: ---
Assignee: ISO building group
QA Contact:
URL:
Whiteboard:
Keywords: 6sta2
Depends on:
Blocks:
 
Reported: 2016-09-27 12:36 CEST by Alexey Nedobezhkin
Modified: 2017-04-10 14:46 CEST (History)
7 users (show)

See Also:
Source RPM:
CVE:
Status comment:


Attachments

Description Alexey Nedobezhkin 2016-09-27 12:36:32 CEST
Description of problem:
In file /EFI/BOOT/themes/maggy/theme.txt declared:
desktop-image: "Mageia5-grub2-1024x768.png"
But this file not present in this folder. Grub2 report error and loaded in text mode.

How reproducible:
Try boot from netinstall media in EFIx64 mode
Comment 1 Alexey Nedobezhkin 2016-09-27 12:39:36 CEST
Version-Release number of selected component:
Mageia-Cauldron-netinstall-nonfree-x86_64.iso
Comment 2 Alexey Nedobezhkin 2016-09-27 12:44:07 CEST
Also this bug present in Mageia-Cauldron-netinstall-x86_64.iso
Comment 3 Barry Jackson 2016-09-27 13:30:02 CEST
What is the output of:
rpm -qa|grep -E "grub2|mageia-theme"
Comment 4 Alexey Nedobezhkin 2016-09-27 13:59:36 CEST
(In reply to Barry Jackson from comment #3)
> What is the output of:
> rpm -qa|grep -E "grub2|mageia-theme"

Answer:
sh: rpm: command not found

This I expected, since we are talking about the bootable iso for network installation Mageia6, and not the full system
Comment 5 Barry Jackson 2016-09-27 14:08:20 CEST
(In reply to Alexey Nedobezhkin from comment #4)
> (In reply to Barry Jackson from comment #3)
> > What is the output of:
> > rpm -qa|grep -E "grub2|mageia-theme"
> 
> Answer:
> sh: rpm: command not found
> 
> This I expected, since we are talking about the bootable iso for network
> installation Mageia6, and not the full system

Well yes, so would I ;)

I meant from within the running new installation.

However I suspect that your net-install was using a bad mirror, as with current cauldron I cannot reproduce this.
Comment 6 Barry Jackson 2016-09-27 14:14:27 CEST
You could do a net-install upgrade of it using a different good mirror.
see: https://mirrors.mageia.org/status
Comment 7 Alexey Nedobezhkin 2016-09-27 15:18:51 CEST
Visited several mirrors, all the disk image is dated 18-Sep-2016. You just run the disc in EFIx64?

Link to my image http://ftp.cc.uoc.gr/mirrors/linux/mageia/distrib/cauldron/x86_64/install/images/Mageia-Cauldron-netinstall-x86_64.iso

Share the link to your image, I'll check with Your way
Comment 8 Barry Jackson 2016-09-27 15:57:20 CEST
(In reply to Alexey Nedobezhkin from comment #7)
> Visited several mirrors, all the disk image is dated 18-Sep-2016. You just
> run the disc in EFIx64?
> 
> Link to my image
> http://ftp.cc.uoc.gr/mirrors/linux/mageia/distrib/cauldron/x86_64/install/
> images/Mageia-Cauldron-netinstall-x86_64.iso
> 
> Share the link to your image, I'll check with Your way.

That is the same image I used to test, but it's the mirror that you use to do the net-install that may have been out of date.

When you get to the mirror step, don't use the default "Install Mageia 6 Cauldron" option as that will use $MIRRORLIST but select to use a custom http mirror and type it in manually.
Try:
http://distrib-coffee.ipsl.jussieu.fr/pub/linux/Mageia/distrib/cauldron/x86_64/
Comment 9 Chris B 2016-09-27 16:55:14 CEST
Alexey is right!
grub.cfg and the theme declare the wrong image name.

Barry: Alexey doesn't talk about the stage 2 installation. He's got the latest netinstall iso from the mirrors (18.09.2016).

It's about the very first grub2 boot screen that is configured on the iso.
The result of the misconfig is: the missing background image. Background is simply black.
Comment 10 Alexey Nedobezhkin 2016-09-27 16:57:29 CEST
Thank you! I with my poor knowledge of English was difficult to convey that message.
Comment 11 Barry Jackson 2016-09-27 17:35:43 CEST
(In reply to Chris B from comment #9)
> Alexey is right!
> grub.cfg and the theme declare the wrong image name.
> 
> Barry: Alexey doesn't talk about the stage 2 installation. He's got the
> latest netinstall iso from the mirrors (18.09.2016).
> 
> It's about the very first grub2 boot screen that is configured on the iso.
> The result of the misconfig is: the missing background image. Background is
> simply black.

Thanks Chris,

I may have used a slightly older image and so did not see this when I tested in VM.

This looks like a problem in the .iso generation, so I will re-assign back to bug squad.
Comment 12 Barry Jackson 2016-09-27 17:57:11 CEST
The iso contains two copies of the correct image but the theme.txt is looking for "Mageia5-grub2-1024x768.png".

1 It needs /EFI/BOOT/themes/grub2-mageia-default.png removing as it is duplicated at /home/baz/BUGS/EFI/BOOT/themes/maggy/grub2-mageia-default.png (which is normally a symlink to the first in a Mageia instalation).

2. It needs /EFI/BOOT/themes/maggy/theme.txt editing to look for "grub2-mageia-default.png" at line 7
Comment 13 Mageia Robot 2016-09-27 18:00:00 CEST
commit 99f72d1fbd43327d0295bf75de9ecc241887f235
Author: Thomas Backlund <tmb@...>
Date:   Tue Sep 27 18:59:53 2016 +0300

    fix background theme image name (mga#19468)
---
 Commit Link:
   http://gitweb.mageia.org/software/drakx/commit/?id=99f72d1fbd43327d0295bf75de9ecc241887f235
Comment 14 Alexey Nedobezhkin 2016-09-27 18:27:44 CEST
Also in /EFI/BOOT/grub.cfg declared:
if loadfont ${prefix}/fonts/unicode.pf2
But file unicode.pf2 not present in /EFI/BOOT/fonts
Comment 15 Barry Jackson 2016-09-27 18:46:50 CEST
Yes - well spotted - this was in the previous iso.
Comment 16 Marja van Waes 2016-10-09 11:58:17 CEST
(In reply to Mageia Robot from comment #13)
> commit 99f72d1fbd43327d0295bf75de9ecc241887f235
> Author: Thomas Backlund <tmb@...>
> Date:   Tue Sep 27 18:59:53 2016 +0300
> 
>     fix background theme image name (mga#19468)
> ---
>  Commit Link:
>   
> http://gitweb.mageia.org/software/drakx/commit/
> ?id=99f72d1fbd43327d0295bf75de9ecc241887f235

(In reply to Alexey Nedobezhkin from comment #14)
> Also in /EFI/BOOT/grub.cfg declared:
> if loadfont ${prefix}/fonts/unicode.pf2
> But file unicode.pf2 not present in /EFI/BOOT/fonts

(In reply to Barry Jackson from comment #15)
> Yes - well spotted - this was in the previous iso.

So closing as FIXED.

Please reopen if needed
Comment 17 Barry Jackson 2016-10-09 18:20:48 CEST
(In reply to Marja van Waes from comment #16)

> 
> So closing as FIXED.
> 
> Please reopen if needed

Re-opening as I think this was only partly fixed.

If unicode.pf2 is not present in /EFI/BOOT/fonts in the next iso then it too will load in only text mode.
Comment 18 Marja van Waes 2016-10-15 14:08:18 CEST
(In reply to Barry Jackson from comment #17)

> 
> Re-opening as I think this was only partly fixed.
> 
> If unicode.pf2 is not present in /EFI/BOOT/fonts in the next iso then it too
> will load in only text mode.

Assigning to the isobuilders, then :-)
Comment 19 Marja van Waes 2017-03-05 10:10:25 CET
Is this bug still valid for 6sta2?
Comment 20 ben mcmonagle 2017-03-07 09:12:16 CET
(In reply to Marja van Waes from comment #19)
> Is this bug still valid for 6sta2?

yes.

there are also 2 x "grub2-mageia-default.png"
#1 is in EFI/BOOT/themes
#2 is in EFI/BOOT/themes/maggy
Comment 21 Chris B 2017-03-07 10:06:11 CET
This bug is only about the netinstall isos.
This bug is only about starting the iso in uefi mode.

Fixed: the naming of the images. Though they are added in two directories, as pointed out by Ben.
Not fixed: unicode.pf2 is not present in /EFI/BOOT/fonts, as pointed out by Barry

Result: starts in text mode only.
Comment 22 Barry Jackson 2017-03-07 10:47:31 CET
(In reply to Chris B from comment #21)
> This bug is only about the netinstall isos.
> This bug is only about starting the iso in uefi mode.
> 
> Fixed: the naming of the images. Though they are added in two directories,
> as pointed out by Ben.

In an installed system one is a link to the other, for the netinstall iso the real file is only needed in the maggy directory. The one in themes can be removed.

> Not fixed: unicode.pf2 is not present in /EFI/BOOT/fonts, as pointed out by
> Barry
> 
> Result: starts in text mode only.
Comment 23 ben mcmonagle 2017-04-10 09:51:27 CEST
still valid, 

changing to release blocker
Comment 24 Rémi Verschelde 2017-04-10 12:47:28 CEST
Thomas, any pointer on how the netinstall ISOs are built? I'd like to investigate and fix this config issue, but I'm not sure what package/software is responsible for generating those ISOs.
Comment 25 Thierry Vignaud 2017-04-10 14:46:19 CEST
See images/ subdir in drakx's git & drakx-installer-images/SPECS/drakx-installer-images.spec in SVN

Note You need to log in before you can comment on or make changes to this bug.